#include "/lib/core.glsl"
#include "/lib/config.glsl"

/* RENDERTARGETS: 1 */
layout(location = 0) out vec4 outColor;
layout(depth_unchanged) out float gl_FragDepth;

uniform vec3 sunDirectionPlr;

in VertexData { vec3 color, plr; } v;

#include "/lib/srgb.glsl"
#include "/lib/skylight.glsl"
#include "/lib/fog.glsl"

void main() {
	immut vec3 color = v.color * 0.5 + 0.25 * skylight();
	immut float fog = fog(0.6 * length(v.plr.xz));

	immut float plr_dist = length(v.plr);

	immut vec3 fog_col = sky(sky_fog(max(v.plr.y, 0.0)), v.plr / plr_dist, sunDirectionPlr);

	outColor = vec4(
		mix(mix(color, fog_col, 0.25), fog_col, fog),
		min(plr_dist * 0.01, 0.75) * (1.0 - fog)
	);
}