#include "/lib/core.glsl"

uniform mat4 gbufferModelViewInverse, modelViewMatrix, projectionMatrix;

in vec3 vaPosition;
in vec4 vaColor;

out VertexData { vec3 color, plr; } f;

void main() {
	f.color = vaColor.rgb;

	immut vec4 view = modelViewMatrix * vec4(vaPosition, 1.0);
	f.plr = (gbufferModelViewInverse * view).xyz;

	gl_Position = projectionMatrix * view;
}